WordPress.org

Ready to get started?Download WordPress

Forums

Recompile? Help! (3 posts)

  1. agreda
    Member
    Posted 6 years ago #

    I just received this rather ominous email from my host (1and1.com) regarding a pending server migration ...

    Please be advised that we shall be upgrading our Linux platform to a Debian Etch based operating system. ...

    You are receiving this email because your web space contains self-compiled / third-party binary files, which may no longer function properly following the upgrade.

    For your applications to continue running flawlessly and for you to take full advantage of the upgrade, you may have to make a few configuration changes.

    The message indicates that I "need to recompile any third-party executable programs" and update my libraries. It continues to discuss recompiling binary files and linking libraries.

    Do I need to be concerned? Please tell me no. Thanks in advance for any advice!

    I have various blogs running WP 2.2.2 with the following plugins:

    • NextGen Gallery
    • All in One SEO Pack
    • Category Order
    • cforms II
    • Sociable
    • Subscribe To Comments
    • Text Link Ads
    • WordPress Database Backup
    • WP-Deadbolt
    • WP-EMail
    • Akismet
  2. Kafkaesqui

    Posted 6 years ago #

    WordPress (and any of its plugins) is built with PHP, which is known as an interpreted language. You don't compile programs written in PHP (it's possible, but unusual).

    So you should have nothing to worry about, at least in relation to WordPress.

  3. agreda
    Member
    Posted 6 years ago #

    I was hoping that would be the case. Thanks for the quick reply!

Topic Closed

This topic has been closed to new replies.

About this Topic